//
//  BFConfig.swift
//  BFCommonKit
//
//  Created by SanW on 2021/6/4.
//  111

import UIKit

public class BFConfig: NSObject {
    public static let shared = BFConfig()
    /**
     // 主题适配方案一
     styleColor = nomal
     statusBarStyle = .light
     backgroundColor = UIColor.hexColor(hexadecimal: "#191919")
     styleTitleColor: UIColor = UIColor.white
     cutViewStyleColor: UIColor = UIColor.white
     cutViewTintColor: UIColor = UIColor.black
     cutDurationColor = UIColor.init(red: 238.0 / 255.0, green: 0 / 255.0, blue: 81.0 / 255.0, alpha: 0.1)
     hiddenMusicMask = false
     otherTintColor = UIColor.hexColor(hexadecimal: "#333333")
     //主题适配方案二
     styleColor = green
     statusBarStyle = .dark
     backgroundColor = UIColor.white
     styleTitleColor: UIColor = UIColor.black
     cutViewStyleColor: UIColor = UIColor.hexColor(hexadecimal: "#3DC1C1")
     cutViewTintColor: UIColor = UIColor.white
     materialDeleteImage = UIImage.init().BF_Image(named:"deleteAudio")
     cutDurationColor = UIColor.init(red: 61.0 / 255.0, green: 193.0 / 255.0, blue: 193.0 / 255.0, alpha: 0.1)
     hiddenMusicMask = true
     otherTintColor = UIColor.hexColor(hexadecimal: "#F2F2F2")
     */
    // 主题色
    public var styleColor: styleColor = .green
    // statusBarStyle
    public var statusBarStyle: statusBarStyle = .dark
    // 背景色
    public var styleBackGroundColor: UIColor = UIColor.white
    // 主题标题色
    public var styleTitleColor: UIColor = UIColor.black
    // 裁剪主题色
    public var cutViewStyleColor: UIColor = UIColor(red: 61.0 / 255.0, green: 193.0 / 255.0, blue: 193.0 / 255.0, alpha: 1)

    // 裁剪主题色61, 193, 193
    public var cutDurationColor: UIColor = UIColor(red: 61.0 / 255.0, green: 193.0 / 255.0, blue: 193.0 / 255.0, alpha: 0.1)
    // 裁剪主题色
    public var cutViewTintColor: UIColor = UIColor.white
    // 裁剪主题色
    public var hiddenMusicMask: Bool = true
    public var otherTintColor: UIColor = UIColor(red: 242.0 / 255.0, green: 242.0 / 255.0, blue: 242.0 / 255.0, alpha: 1)
    
    //划块使用的图片名 add by ak
    public var silderPinUsedImageName = "sliderTHBPin"
    //闪音卡点编辑区未选择中状态颜色 add by ak
    public var pointEditNamalBackgroundColor = UIColor.init(red: 249 / 255, green: 249 / 255, blue: 249 / 255, alpha: 1)
    
    //三个模式 btn 高亮和默认图的文件名
    public var onlyMusicBtnImage_N = "onlyMusic_n"
    public var onlyMusicBtnImage_H = "onlyMusic_h"
    public var jumpPointBtnImage_N = "jumpPoint_n"
    public var jumpPointBtnImage_H = "jumpPoint_h"
    public var speedStuckBtnImage_N = "speedstuck_n"
    public var speedStuckBtnImage_H = "speedstuck_h"
    
    //add by ak 保存到的系统相册是否带水印+片尾，要求票圈视频要带水印， 乐活圈不带水印
    public var enableWatermarkMovie:Bool = true
    
    //闪音卡点发布分享朋友圈使用图片名
    public var shareFriendBtnImage = "reCreate_opration_friend"
    //从系统相册选择图片名
    public var editCoverimageSelectImage = "editCoverimageSelect"
    //选择对勾图片名
    public var editCoverimageSelectedImage = "editCoverimageSelected"
    //系统相册背景色
    public var editCoverimageSelectedbackgroundColor:UIColor = .white
    // 微信登陆信息
//    public var appInfo: WXApiInfo?
    // 渠道
    public let channelID: String = "AppStore"
    // 友盟账号 快乐星球：60b9fa644d0228352bbc8937 闪音：60b9f95b4d0228352bbc87e0
    public var umAppkey: String = "60b9f95b4d0228352bbc87e0"
    // bugly账号 快乐星球：b7411e0d-f214-433c-9343-366b9ca99a53
    // 闪音：6c481442-aeb4-49ec-a2ae-21359bfef44a
    public var buglyAppkey: String = "6c481442-aeb4-49ec-a2ae-21359bfef44a"

    // add by ak 公用参数使用 13:票圈视频 15:闪音卡点 16:乐活圈
    public var appType: String = "15"
    // 苹果后台创建的 APPID
    public var appId: String = "1570572849"
    /// 腾讯兔小巢反馈 AppId 票圈视频：275642     乐活圈：351068
    public var txFeedbackAppId: String = "351068"
    
    // 是否可打印 LOG
    public var enableBFLog: Bool = false
    
    // 业务需求-先下沉
    public var sessionId: String = ""
    public var subSessionId: String?
    public var deviceToken: String?
    public var token: String?
    public var loginUid: String?
    public var uid: String?
    
    override private init() {
        super.init()
    }

    override public func copy() -> Any {
        return self
    }

    override public func mutableCopy() -> Any {
        return self
    }
}
